# frozen_string_literal: true

module Aspecto
  module Opentelemetry
    # Aspecto Opentelemetry Distro Configurator
    class Configurator
      def initialize
        # initialize config options from environment variables.
        # they can later be overwritten with configurator attribute setters
        # that have precedence over env
        @service_name = ENV["SERVICE_NAME"]
        @aspecto_auth = ENV["ASPECTO_AUTH"]
      end

      attr_accessor :service_name, :aspecto_auth
    end
  end
end
